﻿#pragma once

#include "MainPage.g.h"

namespace StreamMusicFile
{
	public ref class MainPage sealed 
	{
    private:
        Microsoft::WRL::ComPtr<IXAudio2> pXAudio2;
        IXAudio2MasteringVoice * pMasteringVoice;

	public:
		MainPage();

    private:
        void OnVolumeSliderValueChanged(Platform::Object^ sender, Windows::UI::Xaml::Controls::Primitives::RangeBaseValueChangedEventArgs^ args);
        void OnOpenButtonClick(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
        Microsoft::WRL::ComPtr<IMFSourceReader> CreateSourceReader(Windows::Storage::Streams::IRandomAccessStream^ randomAccessStream);
    };
}
